| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Namespaces | Classes | Functions | Variables
cpp_redis Namespace Reference

## Namespaces
| builders
| helpers
| network

## Classes
class | client
class | logger
class | logger_iface
class | redis_error
class | reply
class | sentinel
class | subscriber

## Functions
void | debug (const std::string &msg, const std::string &file, std::size_t line)
void | info (const std::string &msg, const std::string &file, std::size_t line)
void | warn (const std::string &msg, const std::string &file, std::size_t line)
void | error (const std::string &msg, const std::string &file, std::size_t line)

## Variables
std::unique_ptr< logger_iface > | active_logger

## Function Documentation

## ◆ debug()

void cpp_redis::debug | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |

debug logging convenience function used internaly to call the logger

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

## ◆ error()

void cpp_redis::error | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |

error logging convenience function used internaly to call the logger

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

## ◆ info()

void cpp_redis::info | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |

info logging convenience function used internaly to call the logger

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

## ◆ warn()

void cpp_redis::warn | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |

warn logging convenience function used internaly to call the logger

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

## Variable Documentation

## ◆ active_logger

std::unique_ptr<logger_iface> cpp_redis::active_logger

variable containing the current logger by default, not set (no logs)